Index: Singular/libparse.l
===================================================================
--- Singular/libparse.l	(revision c0971eb773a055d9b3183e7672eb903762e398c9)
+++ Singular/libparse.l	(revision c4bbf1f73701d48bb471ae3fa76b1c03d53d1e17)
@@ -3,5 +3,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: libparse.l,v 1.8 1998-04-22 08:40:55 krueger Exp $ */
+/* $Id: libparse.l,v 1.9 1998-04-22 10:37:46 krueger Exp $ */
 #include <stdio.h>
 #include <string.h>
@@ -25,5 +25,5 @@
 
 #ifdef HAVE_LIBPARSER
-#define YY_SKIP_YYWRAP
+#  define YY_SKIP_YYWRAP
 
 typedef enum { LP_NONE, LP_INFO, LP_VERSION} lib_cmds;
@@ -69,23 +69,23 @@
 int yylp_errno = 0;
 
-#define YYLP_ERR_NONE    0
-#define YYLP_DEF_BR2     1
-#define YYLP_BODY_BR2    2
-#define YYLP_BODY_BR3    3
-#define YYLP_BODY_TMBR2  4
-#define YYLP_BODY_TMBR3  5
-#define YYLP_EX_BR2      6
-#define YYLP_EX_BR3      7
-#define YYLP_BAD_CHAR    8
-#define YYLP_MISSQUOT    9
-#define YYLP_MISS_BR1   10
-#define YYLP_MISS_BR2   11
-#define YYLP_MISS_BR3   12
-
-#ifdef __MWERKS__
-#ifdef __cplusplus
+#  define YYLP_ERR_NONE    0
+#  define YYLP_DEF_BR2     1
+#  define YYLP_BODY_BR2    2
+#  define YYLP_BODY_BR3    3
+#  define YYLP_BODY_TMBR2  4
+#  define YYLP_BODY_TMBR3  5
+#  define YYLP_EX_BR2      6
+#  define YYLP_EX_BR3      7
+#  define YYLP_BAD_CHAR    8
+#  define YYLP_MISSQUOT    9
+#  define YYLP_MISS_BR1   10
+#  define YYLP_MISS_BR2   11
+#  define YYLP_MISS_BR3   12
+
+#  ifdef __MWERKS__
+#    ifdef __cplusplus
 extern "C" {
-#endif
-#ifdef macintosh
+#    endif
+#    ifdef macintosh
 int    fileno(FILE *stream);
 FILE   *fdopen(int filedes, char *type);
@@ -99,16 +99,16 @@
 long   _tell(int filedes);
 int    _isatty(int filedes);
-#define fileno  _fileno
-#define fdopen  _fdopen
-#define ftell    _ftell
-#define tell    _tell
-#define isatty  _isatty
-#endif /* macintosh */
-#ifdef __cplusplus
-}
-#endif
-#endif
-
-#ifdef STANDALONE_PARSER
+#      define fileno  _fileno
+#      define fdopen  _fdopen
+#      define ftell    _ftell
+#      define tell    _tell
+#      define isatty  _isatty
+#    endif /* macintosh */
+#    ifdef __cplusplus
+}
+#    endif
+#  endif
+
+#  ifdef STANDALONE_PARSER
 procinfov pi;
 printpi(procinfov pi);
@@ -117,7 +117,7 @@
   int yylpwrap();
 }
-#else /* STANDALONE_PARSER */
+#  else /* STANDALONE_PARSER */
 idhdl h0;
-#  define pi IDPROC(h0)
+#    define pi IDPROC(h0)
 extern "C"
 {
@@ -125,45 +125,45 @@
 }
 extern libstackv library_stack;
-#endif /* STANDALONE_PARSER */
-
-#define SET_DEF_END(mode, pi, p) \
-   if ( mode == LOAD_LIB) pi->data.s.def_end = p;
-#define SET_HELP_START(mode, pi, p) \
-   if ( mode == LOAD_LIB) pi->data.s.help_start = p; \
-
-#define SET_BODY_START(mode, pi, l, p) \
-   if ( mode == LOAD_LIB) { \
-     pi->data.s.body_lineno = l; \
-     pi->data.s.body_start = p; \
-   }
-#define SET_BODY_END(mode, pi, p) \
-   if ( mode == LOAD_LIB) { \
-     pi->data.s.body_end = p-1; \
-     pi->data.s.proc_end = p-1; \
-   }
-
-#define SET_EXAMPLE_START(mode, pi, l, p) \
-   if ( mode == LOAD_LIB) { \
-     pi->data.s.example_lineno = l; \
-     pi->data.s.example_start = p; \
-   }
-#define SET_PROC_END(mode, pi, p) \
-   if ( mode == LOAD_LIB) { \
-     pi->data.s.proc_end = p-1; \
-     if(pi->data.s.body_end==0) pi->data.s.body_end = p-1; \
-   }
-
-  #undef YY_DECL
-  #define YY_DECL int yylex(char *newlib, char *libfile, \
+#  endif /* STANDALONE_PARSER */
+
+#  define SET_DEF_END(mode, pi, p) \
+     if ( mode == LOAD_LIB) pi->data.s.def_end = p;
+#  define SET_HELP_START(mode, pi, p) \
+     if ( mode == LOAD_LIB) pi->data.s.help_start = p; \
+
+#  define SET_BODY_START(mode, pi, l, p) \
+     if ( mode == LOAD_LIB) { \
+       pi->data.s.body_lineno = l; \
+       pi->data.s.body_start = p; \
+     }
+#  define SET_BODY_END(mode, pi, p) \
+     if ( mode == LOAD_LIB) { \
+       pi->data.s.body_end = p-1; \
+       pi->data.s.proc_end = p-1; \
+     }
+
+#  define SET_EXAMPLE_START(mode, pi, l, p) \
+     if ( mode == LOAD_LIB) { \
+       pi->data.s.example_lineno = l; \
+       pi->data.s.example_start = p; \
+     }
+#  define SET_PROC_END(mode, pi, p) \
+     if ( mode == LOAD_LIB) { \
+       pi->data.s.proc_end = p-1; \
+       if(pi->data.s.body_end==0) pi->data.s.body_end = p-1; \
+     }
+
+#  undef YY_DECL
+#  define YY_DECL int yylex(char *newlib, char *libfile, \
 				 lib_style_types *lib_style, \
 				 lp_modes mode)
 
-  #undef YY_INPUT
-  #define YY_INPUT(buf,result,max_size) \
+#  undef YY_INPUT
+#  define YY_INPUT(buf,result,max_size) \
           if ( ((result = libread( (yyin), (char *) buf, max_size )) < 0 ) \
 		  && ferror( yyin ) ) \
 		YY_FATAL_ERROR( "read in flex scanner failed" );
 
-  #define YY_USER_INIT { \
+#  define YY_USER_INIT { \
        BEGIN(header); \
        yylplineno = 1; \
@@ -173,5 +173,5 @@
      }
 
-#if 0
+#  if 0
 <pbody>proc[ \t]+{name}  { 
                            printf("MISSING: PROC-cmd found. ERROR!\n"); }
@@ -179,5 +179,5 @@
                            yylplineno++;
                            printf("MISSING: EXAMPLE-cmd found. ERROR!\n"); }
-#endif
+#  endif
 %}
 
@@ -624,5 +624,5 @@
 void copy_string(lp_modes mode)
 {
-#ifndef STANDALONE_PARSER
+#  ifndef STANDALONE_PARSER
   if((last_cmd == LP_INFO)&&(mode == GET_INFO)) {
     long current_location = ftell(yylpin);
@@ -633,5 +633,5 @@
     fseek(yylpin, current_location, SEEK_SET);
   }
-#endif /* STANDALONE_PARSER */
+#  endif /* STANDALONE_PARSER */
 }
 
@@ -643,15 +643,15 @@
 void print_version(lp_modes mode, char *p)
 {
-#ifdef STANDALONE_PARSER
+#  ifdef STANDALONE_PARSER
   //printf("loading %s%s", p, libnamebuf);
-#else
+#  else
   if ( mode == LOAD_LIB ) {
     if (BVERBOSE(V_LOAD_LIB) && p!=NULL ) Print(" %s...", p);
        //Warn( "loading %s%s", p, libnamebuf);
   }
-#endif
-}
-
-#ifdef STANDALONE_PARSER
+#  endif
+}
+
+#  ifdef STANDALONE_PARSER
 main( int argc, char *argv[] )
 {
@@ -675,4 +675,4 @@
 }
 
-#endif /* STANDALONE_PARSER */
+#  endif /* STANDALONE_PARSER */
 #endif /* HAVE_LIBPARSE */
